Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class DataSource.Record

    java.lang.Object
      com.xensource.xenapi.DataSource.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  DataSource

    public static class DataSource.Record

extends Object
implements Types.Record

Represents all the fields in a DataSource

Field Summary
`Boolean` | `enabled` true if the data source is being logged
`Double` | `max` the maximum value of the data source
`Double` | `min` the minimum value of the data source
`String` | `nameDescription` a notes field containing human-readable description
`String` | `nameLabel` a human-readable name
`Boolean` | `standard` true if the data source is enabled by default.
`String` | `units` the units of the value
`Double` | `value` current value of the data source

Constructor Summary
`DataSource.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a data_source.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nameLabel

    public String nameLabel

  a human-readable name

### nameDescription

    public String nameDescription

  a notes field containing human-readable description

### enabled

    public Boolean enabled

  true if the data source is being logged

### standard

    public Boolean standard

  true if the data source is enabled by default. Non-default data sources cannot be disabled

### units

    public String units

  the units of the value

### min

    public Double min

  the minimum value of the data source

### max

    public Double max

  the maximum value of the data source

### value

    public Double value

  current value of the data source

Constructor Detail

### DataSource.Record

    public DataSource.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a data_source.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD